# ionoscloud\_kafka\_users

The **Kafka users** data source can be used to retrieve information about users.

## Example Usage

```hcl
data "ionoscloud_kafka_users" "kafka_users_ds" {
  cluster_id = "kafka_cluster_id"
  location = "kafka_cluster_location"
  timeouts = {
    read = "1s"
  }
}
```

## Argument reference

* `cluster_id` - (Required)\[string] the ID of the Kafka cluster;
* `location` - (Optional)\[string] the location of the Kafka cluster, can be one of: `de/fra`, `de/fra/2`, `de/txl`, `fr/par`, `es/vit`, `gb/lhr`, `gb/bhx`, `us/las`, `us/mci`, `us/ewr`. If omitted, the default location will be used: `de/fra`;

## Attributes Reference

The following attributes are returned by the data source:

* `users` - the list of users, for each user inside the list, the following information is retrieved:
  * `id` - the ID of the user;
  * `username` - the name of the user;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/kafka_users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
